Page MenuHomePhabricator

ecore: rely on efl_provider_{un,}register to do the job of efl_loop_{un,}register.
ClosedPublic

Authored by cedric on Jul 11 2019, 4:16 PM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Jul 11 2019, 4:16 PM
cedric requested review of this revision.Jul 11 2019, 4:16 PM
bu5hm4n accepted this revision.Jul 12 2019, 4:15 AM

Too keep the same set of functionality, we need to register the loop to this object i think?

Looks good otherwise.

This revision is now accepted and ready to land.Jul 12 2019, 4:15 AM
bu5hm4n requested changes to this revision.Jul 12 2019, 4:15 AM

...wrong button

This revision now requires changes to proceed.Jul 12 2019, 4:15 AM

Too keep the same set of functionality, we need to register the loop to this object i think?

I do not understand what you mean. This is the loop, if you register something using efl_loop_register it will be registered on the loop using efl_provider_register.

cedric updated this revision to Diff 23341.Jul 12 2019, 12:57 PM

Rebase and take comment into account.

bu5hm4n requested changes to this revision.Jul 14 2019, 12:45 PM

Before, the provider_find call on the loop returned the object itself, if the klass is EFL_LOOP_CLASS, now it does not anymore. To still do this, the loop needs to be registered on itself with the EFL_LOOP_CLASS interface.

This revision now requires changes to proceed.Jul 14 2019, 12:45 PM

Before, the provider_find call on the loop returned the object itself, if the klass is EFL_LOOP_CLASS, now it does not anymore. To still do this, the loop needs to be registered on itself with the EFL_LOOP_CLASS interface.

provider_find always return itself if the class looked for is of the same type as the object. So there is no need for a special case EFL_LOOP_CLASS anymore.

bu5hm4n accepted this revision.Jul 15 2019, 12:16 PM

Thank you for the explanation.

This revision is now accepted and ready to land.Jul 15 2019, 12:16 PM
Closed by commit rEFL0aba6030bd07: ecore: rely on efl_provider_{un,}register to do the job of efl_loop_{un… (authored by cedric, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJul 17 2019, 12:59 PM
This revision was automatically updated to reflect the committed changes.